%global pypi_name GitPython
%global _description %{expand:
GitPython is a python library used to interact with git repositories,
high-level like git-porcelain, or low-level like git-plumbing.

It provides abstractions of git objects for easy access of repository data, and
additionally allows you to access the git repository more directly using either
a pure python implementation, or the faster, but more resource intensive git
command implementation.

The object database implementation is optimized for handling large quantities
of objects and large datasets, which is achieved by using low-level structures
and data streaming.}

Summary:        Python Git Library
Name:           python-%{pypi_name}
Version:        3.1.30
Release:        4%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/gitpython-developers/GitPython
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel git-core
Requires:       git-core

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files git

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES AUTHORS

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.30-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.30-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.30-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 kianli <kianli@tencent.com> - 3.1.30-1
- initial build
